# eric7.Plugins.VcsPlugins.vcsGit.GitBisectStartDialog

Module implementing a dialog to enter the data for an extended bisect start.

### Global Attributes

None

### Classes

GitBisectStartDialog | Class implementing a dialog to enter the data for an extended bisect start.

### Functions

None

## GitBisectStartDialog

Class implementing a dialog to enter the data for an extended bisect start.

### Derived from

QDialog, Ui_GitBisectStartDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitBisectStartDialog | Constructor
__updateOK | Private method used to enable/disable the OK-button.
getData | Public method to get the entered data.
on_badEdit_textChanged | Private slot to handle a change of the bad commit.

### Static Methods

None

#### GitBisectStartDialog (Constructor)

GitBisectStartDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### GitBisectStartDialog.__updateOK

__updateOK()

Private method used to enable/disable the OK-button.

#### GitBisectStartDialog.getData

getData()

Public method to get the entered data.

Return:
  tuple containing a bad commit (string), a list of good commits (list of strings) and a flag indicating to not checkout the working tree (boolean)

#### GitBisectStartDialog.on_badEdit_textChanged

on_badEdit_textChanged(txt)

Private slot to handle a change of the bad commit.

txt
  bad commit entered (string)

Up